WP6OutlineStylePacket Class Reference documentation

Public Member Functions | Private Attributes | List of all members
WP6OutlineStylePacket Class Reference

`#include <WP6OutlineStylePacket.h>`

Inheritance diagram for WP6OutlineStylePacket:

## Public Member Functions
| WP6OutlineStylePacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6OutlineStylePacket () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *listener) const override
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual void | parse (WP6Listener *) const
virtual std::shared_ptr< WP6SubDocument > | getSubDocument () const
unsigned | getDataSize () const

## Private Attributes
unsigned short | m_numPIDs
unsigned short | m_outlineHash
unsigned char | m_numberingMethods [WP6_NUM_LIST_LEVELS]
unsigned char | m_outlineFlags
unsigned char | m_tabBehaviourFlag

## Additional Inherited Members
Static Public Member Functions inherited from WP6PrefixDataPacket
static std::shared_ptr< WP6PrefixDataPacket > | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const WP6PrefixIndice &prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
virtual void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)=0
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

## ◆ WP6OutlineStylePacket()

WP6OutlineStylePacket::WP6OutlineStylePacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |

## ◆ ~WP6OutlineStylePacket()

WP6OutlineStylePacket::~WP6OutlineStylePacket | ( |  | ) |
| override

## Member Function Documentation

## ◆ _readContents()

void WP6OutlineStylePacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| overridevirtual

Implements WP6PrefixDataPacket.

## ◆ parse()

void WP6OutlineStylePacket::parse | ( | WP6Listener * | listener | ) | const
| overridevirtual

Reimplemented from WP6PrefixDataPacket.

## Member Data Documentation

## ◆ m_numberingMethods

unsigned char WP6OutlineStylePacket::m_numberingMethods[WP6_NUM_LIST_LEVELS]
| private

Referenced by _readContents(), parse(), and WP6OutlineStylePacket().

## ◆ m_numPIDs

unsigned short WP6OutlineStylePacket::m_numPIDs
| private

Referenced by _readContents().

## ◆ m_outlineFlags

unsigned char WP6OutlineStylePacket::m_outlineFlags
| private

Referenced by _readContents().

## ◆ m_outlineHash

unsigned short WP6OutlineStylePacket::m_outlineHash
| private

Referenced by _readContents(), and parse().

## ◆ m_tabBehaviourFlag

unsigned char WP6OutlineStylePacket::m_tabBehaviourFlag
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP6OutlineStylePacket.h
- WP6OutlineStylePacket.cpp